/*
 * Generic CPU emulation code.
 */

#include "CPUEmul.h"

CPUEmul::CPUEmul (void)
{
	int i;
	
	for (i = 0; i < NUM_COUNTERS; i++)
		counteractive[i] = counter[i] = 0;
}

void CPUEmul::ResetCPU (void)
{
	int i;
	
	for (i = 0; i < NUM_COUNTERS; i++)
		counteractive[i] = 0;
	cycles = 0;
}

/* End of file. */
